









kurs = {};

function kurs.prerequisitesPresent(specializations)
    return true;
	end;

function kurs:load()
    self.bcActive = false;
    self.controlpath = Utils.getFilename("GPS.png", self.baseDirectory);
    self.hudrenaultPoxX = 0.65;
    self.hudrenaultPoxY = 0.6;
    self.hudrenaultWidth = 0.34;
    self.hudrenaultHeight = 0.282;
    self.hudrenaultOverlay = Overlay:new("hudrenaultcontrol", self.controlpath, self.hudrenaultPoxX, self.hudrenaultPoxY, self.hudrenaultWidth, self.hudrenaultHeight);	
	self.szerokosc = 1;
	end	
	
	
function kurs:draw()
     
		if self.bcActive then	
			g_currentMission:addExtraPrintText("Przycisk KP_8: Wylacz GPS");
		else
			g_currentMission:addExtraPrintText("Przycisk KP_8: Wlacz GPS");
		end;

	if self.hudrenaultOverlay ~= nil then
      if self.bcActive then
        self.hudrenaultOverlay:render();
		g_currentMission:addExtraPrintText(string.format("Start course: %s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.CourseStart)));
		g_currentMission:addExtraPrintText(string.format("Course +/-: %s/%s", InputBinding.getKeyNamesOfDigitalAction(InputBinding.CourseRight), InputBinding.getKeyNamesOfDigitalAction(InputBinding.CourseLeft)));

	if self.distance then 
		if self.szerokosc and self.orientacja then
			setTextColor(0.2 ,0.9 ,0.2 , 0.9);
			renderText(0.77,0.75,0.02,string.format("Axis:X %0.1f m ",self.szerokosc ));
		else
			setTextColor(0.2 ,0.9 ,0.2 , 0.9);
			renderText(0.77,0.75,0.02,string.format("Axis:Z %0.1f m ",self.szerokosc ));
		end;
	else
		if self.start then
			if self.next > 100 then
				setTextColor(0.2 ,0.9 ,0.2 , 0.9);
				renderText(0.78,0.75,0.02,string.format("ERROR "));
			else
				setTextColor(0.2 ,0.9 ,0.2 , 0.9);
				renderText(0.78,0.75,0.02,string.format("Dist: %0.1fm ",self.next ));
			end;
		end;	
    end;  

	end;	
	end;  
			


	
end	;
		
		
function kurs:update()
		local x,y,z = getWorldTranslation(self.rootNode);
		if InputBinding.hasEvent(InputBinding.CourseOrientation) then 
				self.orientacja = not self.orientacja;
		end;
			if InputBinding.hasEvent(InputBinding.CourseStart) and self.orientacja then 
				self.start = x;		
				self.poczatek = x;
			elseif InputBinding.hasEvent(InputBinding.CourseStart) and not self.orientacja then
				self.start = z;		
				self.poczatek = z;
			end;
		    if InputBinding.hasEvent(InputBinding.CourseLeft) then 
				if self.start then
				self.start = self.start + self.szerokosc;		
				end;
		    end;
			if InputBinding.hasEvent(InputBinding.CourseRight) then 
				if self.start then
				self.start = self.start - self.szerokosc;		
				end;
			end;
		    if InputBinding.hasEvent(InputBinding.SzerokoscAdd) then 
				self.szerokosc = self.szerokosc + 1;
			end;
		    if InputBinding.hasEvent(InputBinding.SzerokoscRemove) then 
				self.szerokosc = self.szerokosc - 1;
			end;
		    if InputBinding.hasEvent(InputBinding.SzerokoscAdd2) then 
				self.szerokosc = self.szerokosc + 0.1;
			end;
		    if InputBinding.hasEvent(InputBinding.SzerokoscRemove2) then 
				self.szerokosc = self.szerokosc - 0.1;
			end;
		    if InputBinding.hasEvent(InputBinding.GPS) then 
				self.bcActive = not self.bcActive;
			end;
			if self.start and self.orientacja then 
				self.next = self.start - x;
			elseif self.start and not self.orientacja then 
				self.next = self.start - z;
			end;
			if InputBinding.hasEvent(InputBinding.Distance) then 
				self.distance = not self.distance;
			end;
			if InputBinding.hasEvent(InputBinding.Reset) then 
				self.start = nil;		
				self.poczatek = nil;
			end;

end		

function kurs:loadFromAttributesAndNodes(xmlFile, key, resetVehicles)  
   if not resetVehicles then
       self.szerokosc = Utils.getNoNil(getXMLFloat(xmlFile, key.."#szerokosc"),0);
end;
    return BaseMission.VEHICLE_LOAD_OK;
end;

function kurs:getSaveAttributesAndNodes(nodeIdent)
   local attributes = 'szerokosc="'..tostring(self.szerokosc)..'"';
   return attributes, nil;
end;

function kurs:delete()
end;	

function kurs:mouseEvent(posX, posY, isDown, isUp, button)
end		

function kurs:keyEvent(unicode, sym, modifier, isDown)
end;	

